Bug 517377

Summary: [Broadcom 5.5 FEAT] Update bnx2 to 2.0.2
Product: Red Hat Enterprise Linux 5 Reporter: Michael Chan <mchan>
Component: kernelAssignee: John Feeney <jfeeney>
Status: CLOSED ERRATA QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: high Docs Contact:
Priority: high    
Version: 5.5CC: aaswath, adaora.onyia, agospoda, ahe, andriusb, benlu, bugproxy, bzeranski, cward, enarvaez, eric.eisenhart, fleitner, gideonn, jjarvis, jtorrice, martinez, narayanan_d, niran, rlerch, tao, thomas_chenault, tis
Target Milestone: alphaKeywords: FutureFeature, OtherQA
Target Release: 5.5   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
= Broadcom NetXtreme II network devices = The bnx2 driver for Broadcom NetXtreme II network devices has been updated to version 2.0.2 (BZ#517377)
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-30 07:17:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 533192, 543143, 557292, 481160, 496328, 513912, 516612, 516613, 516615, 516617, 516620, 516621, 516634, 525215, 533941, 541103, 561578    
Attachments:
Description Flags
strace of 'ifconfig ethx mtu 9000' none

Description Michael Chan 2009-08-13 16:54:37 UTC
1.  Feature Overview:
     a. Update bnx2 to 2.0.x version

     b. Feature Description
	General bug fixes and feature enhancements.  Newer iSCSI firmware.

2.  Feature Details:
     a. Architectures:
         32-bit x86
         64-bit Intel EM64T/AMD64
         64-bit Itanium2

     b. Upstream acceptance information:
        2.0.1 is upstream, patch submission will be ongoing.

3. Business Justification:
     a. Why is this feature needed?
	General driver update, bug fixes, etc.

4. Primary contact at Broadcom, email, phone
    mchan@broadcom.com
    (949)926-6170

Comment 1 Andrius Benokraitis 2009-08-13 17:18:26 UTC
Michael - unlinking the two BZs - not sure if you did that just to save time or if they were really dependent on each other. I'm going to assume the former. This won't change the intent of the bugzilla proposed for 5.5, just FYI.

Comment 2 Andrius Benokraitis 2009-08-24 18:44:34 UTC
*** Bug 511974 has been marked as a duplicate of this bug. ***

Comment 3 Andrius Benokraitis 2009-08-24 18:45:12 UTC
*** Bug 513938 has been marked as a duplicate of this bug. ***

Comment 4 Andrius Benokraitis 2009-08-24 18:46:33 UTC
*** Bug 511976 has been marked as a duplicate of this bug. ***

Comment 6 Andy Gospodarek 2009-10-07 17:59:01 UTC
We need to make sure this commit is included in the list of commits added for 5.5.

commit 61d9e3fa7eacabfb7879e3da91709f1a5420c507
Author: Michael Chan <mchan@broadcom.com>
Date:   Fri Aug 21 16:20:46 2009 +0000

    bnx2: Apply BROKEN_STATS workaround to 5706 and 5708.

    Add flag to expand the workaround to both chips.

Comment 7 John Feeney 2009-10-07 20:39:15 UTC
The fix for bz527748 was posted to rhkernel-list by Flavio Leitner today to fix problem documented by comment #6. Thanks, Andy.

Comment 8 Chris Ward 2009-10-13 15:49:23 UTC
@Broadcom, 

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 test
phase, if it is accepted into the release. 

Please post a confirmation before Oct 16th, 2009, 
including the contact information for testing engineers.

Comment 9 Michael Chan 2009-10-13 16:40:53 UTC
Yes, adding QA manager Nasser and test engineer Joe to CC.

Comment 10 IBM Bug Proxy 2009-10-13 18:51:32 UTC
------- Comment From lcm@us.ibm.com 2009-10-13 14:44 EDT-------
IBM will also provide test feedback. Please coordinate through Peter Bogdanovic, pbogdano@redhat.com.

Comment 11 Ed Narvaez 2009-10-13 22:17:09 UTC
PQA Test Engineers are as follows:

bnx2x - Tung Nguyen (tungn@broadcom.com)
bnx2 - Joe Torricelli (jtorrice@broadcom.com)
tg3 - Jeff Leu (jleu@broadcom.com)
bnx2i - Emory Bestenlehner (emoryb@broadcom.com)

BRCM will also provide periodic test results.

Any questions/comments, please let me know.  Thanks

Ed Narvaez, enarvaez@broadcom.com, 949-926-6456

Comment 12 John Jarvis 2009-10-23 16:48:36 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 13 John Feeney 2009-11-11 19:46:50 UTC
Kernel RPMs with the proposed patch to upgrade to version 2.0.2 can be found at:
http://people.redhat.com/jfeeney/.rhel5-bnx2

Any testing feedback would be appreciated.

This kernel includes the following upstream patches:
  Yang Hongyang - 4/7/2009
    replace all DMA_64BIT_MASK macro w/DMA_BIT_MASK(64)
    6a35528a8346f6e6fd32ed7e51f04d1fa4ca2c01
  Yang Hongyang - 4/7/2009
    replace all DMA_40BIT_MASK macro w/DMA_BIT_MASK(40)
    50cf156af7dc68a44409bef636585ef88ebbab34
  Yang Hongyang - 4/7/2009
    replace all DMA_32BIT_MASK macro w/DMA_BIT_MASK(32)
    284901a90a9e0b812ca3f5f852cbbfb60d10249d
  Michael Chan - 5/6/2009
    Fix panic in bnx2_poll_work()
    581daf7e00c5e766f26aff80a61a860a17b0d75a
  Eric Dumazet - 5/12/2009
    bnx2_tx_int() optimizations
    d62fda082c48b417b47a553860abf75d9cf8b591
  Breno Leitao - 6/8/2009
    no need to check before vfreeing
    25b0b999fbf5cc1893b110d530102951795d2f73
  Ooiwa Naohiro - 6/24/2009
    Fix the behavior of ethtool when ONBOOT=no
    7959ea254ed18faee41160b1c50b3c9664735967
  Dean Nelson - 7/31/2009
    return PCI_ERS_RESULT_DISCONNECT on permanent failure
    2ec3de26d2dc666159b79a8b9394fa00b6f414ae
  Michael Chan - 8/14/2009
    Use mutex on slow patch cnic calls
    c5a889508203446c1abc1d670599b3a816841813
  Michael Chan - 8/21/2009
    Zero out status block before chip reset.
    155d5561f570c5b3af7a178670061927d89209fb
  Michael Chan - 8/21/2009
    Check if_running() before touching chip registers.
    3767546cc24de8f104e745d59a0a43a09d9267df
  Michael Chan - 8/21/2009
    Close device if MTU change or ring size change fails.
    6fefb65e78f098c09d0ab877b2c70421e4c84116
  Michael Chan - 8/21/2009
    Report FTQ discard counter.
    790dab2f671cb477e6179322a6c48c898e311e72
  Michael Chan - 8/21/2009
    Refine coalescing parameters.
    cf7474a6f4eda22603591b7d6253dffc224e4784
  Michael Chan - 8/21/2009
    Use const on flash_table structure.
    0ced9d01d19795f913b95cebedd7d03986671379
  Michael Chan - 8/21/2009
    Update version to 2.0.2
    8fea0f0db87a4aaed41a93eed147af61cc5f9e3f

Comment 14 John Feeney 2009-11-16 18:08:47 UTC
*** Bug 513417 has been marked as a duplicate of this bug. ***

Comment 15 Joe T 2009-11-18 03:07:09 UTC
Will begin evaluating 2.0.2 shortly.

Comment 16 Joe T 2009-12-02 22:14:50 UTC
Created attachment 375606 [details]
strace of 'ifconfig ethx mtu 9000'

Comment 17 Joe T 2009-12-02 22:16:08 UTC
Changing mtu causes ifconfig to hang.
ie: ifconfig eth2 mtu 9000
Strace attached 'strace_ifconfig_mtu_change.txt'

Comment 18 John Feeney 2009-12-03 16:41:00 UTC
I changed the MTU on a system with a BCM5709 and did not have trouble.
I changed it a couple of times, with a load and without and did not hang ifconfig.

What NIC are you using? Does it happen all the time? What else is going on?....

Comment 19 Joe T 2009-12-03 19:08:40 UTC
>What NIC are you using?
5709 Copper b/c 5.2.2 (unreleased boot code)
Does it happen all the time?
Yes
>What else is going on?.... 
Will try different boot codes to see if they make a difference.

Used kernels from: "http://people.redhat.com/jfeeney/.rhel5-bnx2", is there a newer release?

Comment 20 Joe T 2009-12-03 19:55:34 UTC
> >What else is going on?.... 
> Will try different boot codes to see if they make a difference.

Regressed to two previous gold boot code versions 4.6.4 and 5.0.11. Both exhibited the same issue as 5.2.2. 
Running the 2.6.18-169.el5.test x86_64 kernel installed on a RHEL 5.4 gold install.

Comment 21 John Feeney 2009-12-07 18:05:44 UTC
I assume there is no problem with any of these boot codes with the stock 5.4 gold driver. No, there is no newer version at this time, in answer to comment #19 question.

Comment 22 Joe T 2009-12-08 00:55:58 UTC
JF>I assume there is no problem with any of these boot codes with the stock 5.4
gold driver.

Correct, no issues seen with stock 5.4 Gold Kernel and in-box driver.

Comment 23 Michael Chan 2009-12-09 00:39:19 UTC
John, can you provide kernel src rpm so we can debug this issue here as well?  Thanks.

Comment 24 John Feeney 2009-12-12 19:01:32 UTC
Michael,

My apologies. 

See http://people.redhat.com/jfeeney/.rhel5-bnx2 for src rpm.

Comment 25 Don Zickus 2009-12-15 20:18:41 UTC
in kernel-2.6.18-181.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 27 Joe T 2009-12-15 22:04:36 UTC
Verified issue no longer present w/ kernel-2.6.18-181.el5
 x86-64

Comment 30 Joe T 2009-12-24 00:11:23 UTC
Tests that have been run/passed:
-IPv6  -Driver Load/Unload w/ Stress  -Ethtool test stress test  -Jumbo Frames   -Reboot stress.

Comment 31 Joe T 2009-12-28 20:11:36 UTC
Update to #30
Tests that have been ran/passed:
-Chariot Stress (72 hours)  - Driver Load/Unload w/ Stress and NCSI enabled

Comment 32 Marizol Martinez 2010-01-05 20:10:25 UTC
*** Bug 516977 has been marked as a duplicate of this bug. ***

Comment 34 Gideon Naim 2010-01-24 18:43:46 UTC
In terms of test progress, BRCM PQA is planning on running first pass testing
and regression tests by Beta snapshots. Current bnx2 first pass L2 testing
(not including iSCSI offload) is at 75% complete.

Comment 35 Ryan Lerch 2010-01-28 02:47:33 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
= Broadcom NetXtreme II network devices =

The bnx2 driver for Broadcom NetXtreme II network devices has been updated to version 2.0.2 (BZ#517377)

Comment 36 Gideon Naim 2010-02-16 05:03:09 UTC
Test progress update, BRCM PQA current bnx2 first pass L2 testing
(not including iSCSI offload) is at 100% complete.

Comment 37 IBM Bug Proxy 2010-02-17 22:16:03 UTC
------- Comment From coschult@us.ibm.com 2010-02-17 16:50 EDT-------
Verified Beta 1 using Broadcom 5708 and Broadcom 5709 adapters.
Driver present after booting and card detected. Tested using netperf (np3d test
suite) on local network. All tests passed.

Comment 38 Thomas Chenault 2010-02-20 04:20:00 UTC
I have tested bnx2 2.0.2 as provided in kernel 2.6.18-186.el5 x86_64 on a variety of Broadcom 5708/5709 based network adapters. I have not encountered any problems.

Comment 40 errata-xmlrpc 2010-03-30 07:17:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html